#
# spec file for package python-jwcrypto
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-jwcrypto
Version:        0.4.2
Release:        lp151.2.2
Summary:        Python module package implementing JOSE Web standards
License:        LGPL-3.0
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/jwcrypto
Source:         https://files.pythonhosted.org/packages/source/j/jwcrypto/jwcrypto-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-cryptography
Requires:       python-cryptography
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A Python implementation of the JOSE Working Group documents:
RFC 7515 - JSON Web Signature (JWS)
RFC 7516 - JSON Web Encryption (JWE)
RFC 7517 - JSON Web Key (JWK)
RFC 7518 - JSON Web Algorithms (JWA)
RFC 7519 - JSON Web Token (JWT)
RFC 7520 - Examples of Protecting Content Using JSON Object Signing and Encryption (JOSE)

%prep
%setup -q -n jwcrypto-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -r %{buildroot}/usr/share/doc/jwcrypto

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%doc README.md LICENSE

%changelog
* Thu Aug  3 2017 michael@stroeder.com
- update to upstream release 0.4.2
* Mon Jul 24 2017 michael@stroeder.com
- update to upstream release 0.4.1
* Sat Dec  3 2016 michael@stroeder.com
- update to upstream release 0.4.0
* Fri Nov 11 2016 michael@stroeder.com
- initial package of upstream release 0.3.1
